com.sun.pdfview.decode

## Class ASCII85Decode

- java.lang.Object
- - com.sun.pdfview.decode.ASCII85Decode

    public class ASCII85Decode
    extends java.lang.Object

decode ASCII85 text into a byte array.

### Method Summary

Methods
`static java.nio.ByteBuffer` `decode(java.nio.ByteBuffer buf, PDFObject params)` decode an array of bytes in ASCII85 format.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### decode

    public static java.nio.ByteBuffer decode(java.nio.ByteBuffer buf,
                             PDFObject params)
                                      throws PDFParseException

decode an array of bytes in ASCII85 format.

In ASCII85 format, every 5 characters represents 4 decoded bytes in base 85. The entire stream can contain whitespace, and ends in the characters '~>'.

Parameters:
  `buf` - the encoded ASCII85 characters in a byte buffer
  `params` - parameters to the decoder (ignored)
Returns:
  the decoded bytes
Throws:
  `PDFParseException`